Bug 43928 - Moving and deleting of portals is not reflected in portal entries
Moving and deleting of portals is not reflected in portal entries
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Portal
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Florian Best
Stefan Gohmann
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-17 14:51 CET by Erik Damrose
Modified: 2017-04-04 18:28 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2017-03-17 14:51:57 CET
From Bug #42175:

After removing a portal the portal entries still have a reference in univentionPortalEntryPortal to the not anymore existing settings/portal object.

It would be convenient for moving and deleting, but I am not sure whether this is a real world issue. Maybe portals are never removed.

It would also require additional work in LDAP, UDM, Portal und App Center.
Comment 1 Florian Best univentionstaff 2017-03-17 15:14:36 CET
It will happen. I don't see how LDAP, Portal and App Center are involved.
This is only a issue in the specific UDM handler which needs to search and remove things.
Comment 2 Florian Best univentionstaff 2017-03-20 19:17:42 CET
* Adjust all settings/portal_entry's when moving a portal
* Adjust all settings/portal_entry's when removing a portal
** if only one portal is referenced (the to be deleted one) the entry is removed
** otherwise just the reference is removed
* Disallow renaming of the entry because of Bug #41694.

Everything would be better if we had designed this a superordinate module.

univention-directory-manager-modules (12.0.15-1):
r78012 | Bug #43928: make it possible to move and remove portal's entries; disallow renaming of portal
r78011 | Bug #43928: make it possible to move and remove portal's entries; disallow renaming of portal
Comment 3 Stefan Gohmann univentionstaff 2017-03-21 16:28:41 CET
(In reply to Florian Best from comment #2)
> ** if only one portal is referenced (the to be deleted one) the entry is
> removed

As discussed, I don't think we should remove the entry.
 
> Everything would be better if we had designed this a superordinate module.

No. :)
Comment 4 Florian Best univentionstaff 2017-03-22 13:17:58 CET
(In reply to Stefan Gohmann from comment #3)
> (In reply to Florian Best from comment #2)
> > ** if only one portal is referenced (the to be deleted one) the entry is
> > removed
> 
> As discussed, I don't think we should remove the entry.
Ok, the entry is now only dereferenced.

r78118 | Bug #43928: don't remove portal_entry, only dereference when removing portal

> > Everything would be better if we had designed this a superordinate module.
> 
> No. :)
If the relation is more like user←→group, then not.
Comment 5 Stefan Gohmann univentionstaff 2017-03-22 16:07:13 CET
OK, works now.
Comment 6 Stefan Gohmann univentionstaff 2017-04-04 18:28:51 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".